<template>
  <v-row no-gutters>
    <v-col>
      <breadcrumb class="pl-0 pt-2 pb-5" />
      <v-row justify="space-between" no-gutters>
        <v-col class="flex-grow-1" align-self="start">
          <v-row no-gutters align="center">
            <span class="text-h5">
              {{ title }}
            </span>
            <v-chip
              v-if="!!state"
              class="ma-2"
              color="primary"
            >
              <v-icon left>
                mdi-clock
              </v-icon>
              {{ state }}
            </v-chip>
          </v-row>
        </v-col>

        <v-col class="flex-grow-1">
          <v-row justify="end" no-gutters>
            <slot />
          </v-row>
        </v-col>
      </v-row>
    </v-col>
  </v-row>
</template>

<script>
import Breadcrumb from '~/components/Common/Route/Breadcrumb';
export default {
  name: 'PageTitle',
  components: {
    Breadcrumb,
  },
  props: {
    title: {
      type: String,
      required: true,
    },
    state: {
      type: String,
      default: null,
    },
  },
};
</script>
